BANK WOORI SAUDARA - Bug #2203

[ESS-Travel] Form Cost
06/05/2023 11:01 AM - Johanes Christian Kurni

Status: Closed

Priority: Immediate

Assignee: Johanes Christian Kurni
Category:

Target version:

Start date:

Due date:

% Done:
Estimated time:

Spent time:

06/05/2023

0%
0.00 hour
4.50 hours

Description
Dear Azid,

Mohon bantuannya untuk mengecek pada form cost pada saat posting malah update cost perjalanan dinasnya. Berikut reqlD yang

telah di approv sampe pada "confirmation creator".

ReqlID: 1012

EmployeelD: 00001457

TableName: PDSWFTRAVELCOST (ESS)
TableName: PHRPA0065 (Master Data)
BizFlowID: MD_TravelNew

Port: http://bws.minovaiscloud.com:31128/
Server: 45.251.75.66
DB: MinovaES_BWS_DevProd

Terima Kasih

History

#1 - 06/05/2023 03:01 PM - M Azid Wahyudi
- Status changed from Assigned to QA Test

- Assignee changed from M Azid Wahyudi to Johanes Christian Kurni

dear jo , udah bisa di test ya
package :

di before submit di update sourecodenya
yang awalnya seperti ini :

Ext.each(gridStoreCost.getRange(), function (r) {
if (r.data.CostSegKey ===") {
r.set('CostEmployeelD', empld);
r.set('CostHeaderSequence', headerSequence);
r.set('CostSequence', seqCost);
r.set('CostDataFlag', 'C");

}else {

r.set('CostEmployeelD', empld);
r.set('CostHeaderSequence', headerSequence);
r.set('CostSequence’, seqCost);
r.set('CostDataFlag', 'U");

}

seqCost++;
menjadi

Ext.each(gridStoreCost.getRange(), function (r) {
if (r.data.CostSegKey !=") {
r.set('CostEmployeelD', empld);
r.set('CostHeaderSequence', headerSequence);
r.set('CostSequence’, seqCost);
r.set('CostDataFlag', 'U");

}else {

r.set('CostEmployeelD', empld);
r.set('CostHeaderSequence', headerSequence);
http://bws.minovaiscloud.com:31128/

r.set('CostSequence’, seqCost);
r.set('CostDataFlag', 'C");
}

seqCost++;

kebutuhannya untuk sequence pada saat add lanjut tidak mulai dari 1 karena seq 1 itu pada awal plan // ini kebutuhan jika dari awal plan agar tidak
bentrok

dan update settingan di deftask dengan task id prc_data_post_set_cost yang awalnya prosestypenya U menjadi NULL karena di before submit sudah
ada costDataFlag untuk menentukan insert atau update

makasih

#2 - 06/07/2023 03:47 PM - Johanes Christian Kurni

- Status changed from QA Test to Revise

- Assignee changed from Johanes Christian Kurni to M Azid Wahyudi
Dear Azid,

Sudah di tambahkan filed RedID pada table master data PHRPAO0065, karna kita sudah posting ke master data malah nambah jadi 3 data yaitu
tertambahnya data cost perjalanan dinasnya menjadi 2 kali.

#3 - 06/07/2023 04:50 PM - M Azid Wahyudi

- Status changed from Revise to QA Test

- Assignee changed from M Azid Wahyudi to Johanes Christian Kurni
dear jo , udah bisa di test yaa

note :
penambahan reglID di table fisik phrpa0065

package :

updte custparam :
- YN_IsTRVUpdateHeaderSeq_Set

makasih

#4 - 06/07/2023 04:52 PM - Johanes Christian Kurni
- Status changed from QA Test to Closed

Done.

Note:
Penambahan field "ReqID" di master data table PHRPA 0065, di tebel fisik dan sdatatablefield
